<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC
@author 		juan.agudelo
@veriosn 		2.0
@description	Pantalla que muestra los solicitantesSolicitud para edición
                caso de uso CU-NP-CO-026 Consultar Detalle Trámite de Conservación
@cu 			CU-CO-R-01
@param			tableHeaderParam: Encabezado de la tabla
@param			solicitanteTramiteParam: True si el solicitante es de trámite, si no es de solicitud.
@param			managedBeanParam: managed bean que ingresa de forma parametrizada
@param			selectedSolicitudParam: Solicitud que recibe de forma parametrizada
@param			addSolicitanteDialogParamWV: WidgetVar de la ventana de agregar solicitantes.

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" width="100%"
             id="resumenSolicitantesSolicitudPanelGrid">

    <p:messages id="resumenSolsSolicitudMsg"></p:messages>

    <h:panelGrid id="resumenSolicitantesSolicitudInternoPanelGrid">

        <p:dataTable value="#{selectedSolicitudParam.solicitanteSolicituds}"
                     var="solicitanteSolicitud" id="solicitanteSolicitudTable"
                     rowKey="#{solicitanteSolicitud.id}"
                     widgetVar="solicitanteSolicitudTableWV"
                     emptyMessage="La Solicitud no tiene solicitantes">

            <f:facet name="header">  
                #{tableHeaderParam}
            </f:facet>

            <p:column rendered="#{selectedSolicitudParam.id eq null}">
                <f:facet name="header">
                    Acciones
                </f:facet>
                <p:outputPanel style="border:0px;width:50px;display:block;">
                    <p:commandButton title="Editar" icon="ui-icon-pencil"
                                     process="@this"
                                     update=":detalleSolicitudGeneralForm:resumenSolicitantesSolicitudPanelGrid, 
                                     :solicitanteSolicituddatosSolicitanteForm:solicitanteSolicituddatosSolicitantePanelGrid"
                                     ajax="true"
                                     action="#{managedBeanParam.setupSolicitanteSolicitudEdicion}"
                                     oncomplete="addSolicitanteDialogWV.show()">
                        <f:setPropertyActionListener
                            target="#{managedBeanParam.solicitanteSeleccionado}"
                            value="#{solicitanteSolicitud.solicitante}" />
                        <f:setPropertyActionListener
                            target="#{managedBeanParam.solicitanteSolicitudSeleccionado}"
                            value="#{solicitanteSolicitud}" />
                    </p:commandButton>

                    <p:commandButton title="Eliminar" icon="ui-icon-trash"
                                     update=":detalleSolicitudGeneralForm:resumenSolicitantesSolicitudPanelGrid"
                                     immediate="true"
                                     oncomplete="eliminarSolicitanteConfirmationWV.show()">
                        <f:setPropertyActionListener
                            target="#{managedBeanParam.solicitanteSolicitudSeleccionado}"
                            value="#{solicitanteSolicitud}" />
                        <f:setPropertyActionListener
                            target="#{managedBeanParam.solicitanteTramite}"
                            value="#{solicitanteTramiteParam}" />
                    </p:commandButton>
                </p:outputPanel>
            </p:column>

            <p:column>
                <f:facet name="header">
                    <h:outputText value="T.P." title="Tipo de persona" />
                </f:facet>
                <h:outputText value="#{solicitanteSolicitud.tipoPersona}" 
                              styleClass="outputTextStyleInTable"/>
            </p:column>

            <p:column>
                <f:facet name="header">
                    <h:outputText value="T.I." title="Tipo de identificación" />
                </f:facet>
                <h:outputText value="#{solicitanteSolicitud.tipoIdentificacion}" 
                              styleClass="outputTextStyleInTable"/>
            </p:column>

            <p:column>
                <f:facet name="header">
                    No. identificación				
                </f:facet>
                <h:outputText value="#{solicitanteSolicitud.numeroIdentificacion}" 
                              styleClass="outputTextStyleInTable"/>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Nombre completo / Razón social					
                </f:facet>
                <h:outputText value="#{solicitanteSolicitud.nombreCompleto}" 
                              styleClass="outputTextStyleInTable"/>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Relación					
                </f:facet>
                <h:outputText value="#{solicitanteSolicitud.relacion}" 
                              styleClass="outputTextStyleInTable"/>
            </p:column>

            <p:column>
                <f:facet name="header">
                    País					
                </f:facet>
                <h:outputText value="#{solicitanteSolicitud.direccionPais.nombre}" 
                              styleClass="outputTextStyleInTable"/>
            </p:column>


            <p:column>
                <f:facet name="header">
                    Departamento				
                </f:facet>
                <h:outputText
                    value="#{solicitanteSolicitud.direccionDepartamento.nombre}" 
                    styleClass="outputTextStyleInTable"/>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Municipio				
                </f:facet>
                <h:outputText value="#{solicitanteSolicitud.direccionMunicipio.nombre}" 
                              styleClass="outputTextStyleInTable"/>
            </p:column>


            <p:column>
                <f:facet name="header">
                    Dirección				
                </f:facet>
                <h:outputText value="#{solicitanteSolicitud.direccion}" 
                              styleClass="outputTextStyleInTable"/>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Código postal					
                </f:facet>
                <h:outputText value="#{solicitanteSolicitud.solicitante.codigoPostal}" 
                              styleClass="outputTextStyleInTable"/>
            </p:column>


            <p:column>
                <f:facet name="header">
                    Teléfono					
                </f:facet>
                <h:outputText value="#{solicitanteSolicitud.telefonoPrincipal}" 
                              styleClass="outputTextStyleInTable"/>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Correo electrónico					
                </f:facet>
                <h:outputText value="#{solicitanteSolicitud.correoElectronico}" 
                              styleClass="outputTextStyleInTable"/>
            </p:column>



        </p:dataTable>

        <p:message for="solicitanteSolicitudTable" display="icon" />

        <h:panelGrid columns="2">
            <p:commandButton value="Adicionar solicitante"
                             disabled="#{selectedSolicitudParam.id ne null}"
                             action="#{managedBeanParam.configureNewSolicitante}"
                             update=":solicitanteSolicituddatosSolicitanteForm,
                             resumenSolsSolicitudMsg,:solicitanteSolicitudsolMsgs"
                             icon="ui-icon-plus" onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide();addSolicitanteDialogWV.show()"
                             process="@this" id="adicionarSolicitanteBtn">
                <f:setPropertyActionListener
                    target="#{managedBeanParam.solicitanteTramite}"
                    value="#{solicitanteTramiteParam}" />
            </p:commandButton>
        </h:panelGrid>

    </h:panelGrid>
</h:panelGrid>